Bug 6993 - ENALBE_GNUTLS is not set even if gnutls libs and header are present if pkg-config is not installed
ENALBE_GNUTLS is not set even if gnutls libs and header are present if pkg-co...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
Other Other
: P3 normal
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 14:24 UTC by Matthieu Patou
Modified: 2010-04-09 16:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2009-12-16 14:24:39 UTC
On Debian Linux 5.03 (Lenny) 
Making:
./autogen; ./configure --enable-gnutls 
didn't set ENABLE_GNUTLS even if the libs and the headers are present.

Installing pkg-config makes configure correctly set the ENABLE_GNUTLS directive.
Comment 1 Matthias Dieter Wallnöfer 2010-01-09 10:32:04 UTC
Jelmer, is this still an issue?
Comment 2 Matthieu Patou 2010-01-11 04:17:12 UTC
Matthias,

I talked to jelmer about this on IRC he confirmed that yes pkg-config is needed.

In fact we should put a warning that gnutls support was added or not (I think).
Comment 3 Matthias Dieter Wallnöfer 2010-01-11 08:51:16 UTC
Well, okay - please try to get Jelmer on this issue - or propose a patch!
Comment 4 Matthias Dieter Wallnöfer 2010-04-08 07:19:40 UTC
ekacnet, please try if this has been fixed by the WAF build system!
Comment 5 Matthias Dieter Wallnöfer 2010-04-09 16:55:03 UTC
I think I mark this as "FIXED" for now (very likely that the WAF build fixed this). If it's really not working please reopen.